Hanzo
API Reference

Hanzo Registry API

Hanzo Registry provides a container image registry with vulnerability scanning,

Hanzo Registry provides a container image registry with vulnerability scanning,

Hanzo Registry API · Guide & examples → · All API references →

Base URLhttps://registry.hanzo.ai
Version1.0.0
Operations23
GuideHanzo Registry API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://registry.hanzo.ai

Endpoints

Artifacts

MethodEndpointDescription
GET/v1/registry/projects/{name}/repositories/{repo}/artifactsList artifacts
GET/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}Get artifact
DELETE/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}Delete artifact
GET/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}/tagsList tags
POST/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}/tags/{tag}Create tag
DELETE/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}/tags/{tag}Delete tag

Health

MethodEndpointDescription
GET/healthHealth check

Projects

MethodEndpointDescription
GET/v1/registry/projectsList projects
POST/v1/registry/projectsCreate project
GET/v1/registry/projects/{name}Get project
PUT/v1/registry/projects/{name}Update project
DELETE/v1/registry/projects/{name}Delete project

Quotas

MethodEndpointDescription
GET/v1/registry/quotasList storage quotas

Repositories

MethodEndpointDescription
GET/v1/registry/projects/{name}/repositoriesList repositories
GET/v1/registry/projects/{name}/repositories/{repo}Get repository
DELETE/v1/registry/projects/{name}/repositories/{repo}Delete repository

Scans

MethodEndpointDescription
POST/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}/scanTrigger vulnerability scan
GET/v1/registry/projects/{name}/repositories/{repo}/artifacts/{digest}/scan/reportGet scan report

Webhooks

MethodEndpointDescription
GET/v1/registry/webhooksList webhooks
POST/v1/registry/webhooksCreate webhook
GET/v1/registry/webhooks/{id}Get webhook
PUT/v1/registry/webhooks/{id}Update webhook
DELETE/v1/registry/webhooks/{id}Delete webhook

Hanzo Registry API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page